import { screen, render, RenderResult, fireEvent } from '@testing-library/react';
import { SearchBar } from './SearchBar.component';

const renderComponent = (): RenderResult => render(<SearchBar />);

describe('SearchBar - component', () => {
  it('should let user type text', () => {
    renderComponent();

    const input = screen.getByTestId('search-input');
    fireEvent.change(input, { target: { value: 'test value' } });

    expect(screen.getByDisplayValue('test value')).toBeInTheDocument();
  });
});
