/* eslint-disable no-magic-numbers */
// TODO: Remove mocks and implement communication with API

import { DEFAULT_ZOOM } from '@/constants/map';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { setMapData } from '@/redux/map/map.slice';
import { useCallback, useEffect } from 'react';

const MOCK_PROJECT = {
  version: '',
  disease: {
    link: 'http://id.nlm.nih.gov/mesh/D010300',
    type: 'MESH_2012',
    resource: 'D010300',
    id: 3211856,
    annotatorClassName: '',
  },
  idObject: 6065,
  status: 'Ok',
  directory: '9d4911bdeeea752f076e57a91d9b1f45',
  progress: 100,
  notifyEmail: 'ewa.smula@uni.lu',
  logEntries: true,
  name: "Parkinson's disease map",
  sharedInMinervaNet: true,
  owner: 'ewa.smula',
  projectId: 'pd_map_winter_23',
  creationDate: '2023-02-15 16:35:11',
  mapCanvasType: 'OPEN_LAYERS',
};

const MOCK_MODEL = {
  idObject: 5053,
  width: 26779.25,
  height: 13503,
  defaultCenterX: null,
  defaultCenterY: null,
  description: '',
  name: 'Core PD map',
  defaultZoomLevel: null,
  tileSize: 256,
  references: [],
  authors: [],
  creationDate: null,
  modificationDates: [],
  minZoom: 2,
  maxZoom: 9,
};

export const useOlMapInit = (): void => {
  const dispatch = useAppDispatch();

  const mapInit = useCallback(() => {
    dispatch(
      setMapData({
        meshId: MOCK_PROJECT.disease.resource,
        modelId: MOCK_MODEL.idObject,
        size: {
          width: MOCK_MODEL.width,
          height: MOCK_MODEL.height,
          tileSize: MOCK_MODEL.tileSize,
          minZoom: MOCK_MODEL.minZoom,
          maxZoom: MOCK_MODEL.maxZoom,
        },
        position: {
          x: MOCK_MODEL.defaultCenterX || MOCK_MODEL.width / 2,
          y: MOCK_MODEL.defaultCenterY || MOCK_MODEL.height / 2,
          z: MOCK_MODEL.defaultZoomLevel || DEFAULT_ZOOM,
        },
      }),
    );
  }, [dispatch]);

  useEffect(() => mapInit(), [mapInit]);
};
