import { FetchDataState } from '@/types/fetchDataState';
import { Point } from '@/types/map';

export interface MapSize {
  width: number;
  height: number;
  tileSize: number;
  minZoom: number;
  maxZoom: number;
}

export type MapData = {
  projectId: string;
  meshId: string;
  modelId: number;
  overlaysIds: number[];
  size: MapSize;
  position: Point;
  show: {
    legend: boolean;
    comments: boolean;
  };
};

export type MapState = FetchDataState<MapData, MapData>;
