import { createSlice } from '@reduxjs/toolkit';
import { SearchState } from '@/redux/search/search.types';
import { setSearchValueReducer } from '@/redux/search/search.reducers';

const initialState: SearchState = {
  searchValue: '',
  searchResult: {
    content: '',
    drugs: '',
  },
};

export const searchSlice = createSlice({
  name: 'search',
  initialState,
  reducers: {
    setSearchValue: setSearchValueReducer,
  },
});

export const { setSearchValue } = searchSlice.actions;

export default searchSlice.reducer;
